Light mode version of Land Your Home
V1Chains

Delete Chain Link

DELETE
/v1/chains/{chainId}/links/{linkId}

A link that does not exist, or is not in this chain, returns not_found. The success state (200, { data: { newChainId } }) removes the link; newChainId is the id of the chain that was split off if removing the link disconnected part of it, otherwise null. Needs chainNode.canDelete on either transaction (403 forbidden otherwise).

Required variables:

  • baseUrl
  • apiKey (needs chains:write)
  • userToken
  • chainId (set by Get Chains)

Path Parameters

chainId*string
linkId*string

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/chains/string/links/string"
{  "error": {    "code": "forbidden",    "message": "not permitted to delete this chain link"  }}